weka.core.pmml.jaxbbindings

## Enum CONTSCORINGMETHOD

- java.lang.Object
- - java.lang.Enum<CONTSCORINGMETHOD>
  - - weka.core.pmml.jaxbbindings.CONTSCORINGMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CONTSCORINGMETHOD>

      public enum CONTSCORINGMETHOD
      extends java.lang.Enum<CONTSCORINGMETHOD>

  Java class for CONT-SCORING-METHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CONT-SCORING-METHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="median"/>
           <enumeration value="average"/>
           <enumeration value="weightedAverage"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE`
    `MEDIAN`
    `WEIGHTED_AVERAGE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CONTSCORINGMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static CONTSCORINGMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CONTSCORINGMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVERAGE

          public static final CONTSCORINGMETHOD AVERAGE

    - #### MEDIAN

          public static final CONTSCORINGMETHOD MEDIAN

    - #### WEIGHTED_AVERAGE

          public static final CONTSCORINGMETHOD WEIGHTED_AVERAGE

  - ### Method Detail

    - #### values

          public static CONTSCORINGMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CONTSCORINGMETHOD c : CONTSCORINGMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CONTSCORINGMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static CONTSCORINGMETHOD fromValue(java.lang.String v)